<?xml version="1.0"?>
<odoo>

    <!-- login form button -->
    <template id="providers" name="Auth SAML Providers">
        <div t-foreach="providers" t-as="p">
            <a t-att-href="'/auth_saml/get_auth_request?pid=%s'%p['id']" class="btn btn-link">
                <i t-att-class="p['css_class']"/>
                <t t-raw="p['name']"/>
            </a>
        </div>
    </template>

    <template id="login" inherit_id="web.login" name="Samlv2 Login buttons">
        <xpath expr="//button[@type='submit']" position="before">
            <div class="pull-right">
                <t t-call="auth_saml_ol.providers"/>
            </div>
        </xpath>
    </template>

    <!-- Views for the auth.saml.provider model. -->

    <record model="ir.ui.view" id="view_saml_provider_list">
        <field name="name">auth.saml.provider.list</field>
        <field name="model">auth.saml.provider</field>
        <field name="arch" type="xml">
            <tree string="arch">
                <field name="name" />
                <field name="active" />
            </tree>
        </field>
    </record>

    <record model="ir.ui.view" id="view_saml_provider_form">
        <field name="name">auth.saml.provider.form</field>
        <field name="model">auth.saml.provider</field>
        <field name="arch" type="xml">
            <form string="SAML Provider">
                <div class="oe_button_box" name="button_box">
                    <button name="toggle_active" type="object"
                            class="oe_stat_button" icon="fa-archive">
                        <field name="active" widget="boolean_button"
                               options='{"terminology": "active"}'/>
                    </button>
                </div>
                <sheet>
                    <group>
                        <field name="name" />
                        <field name="css_class" />
                        <field name="debug" />
                        <field name="lowercase_urlencoding" />
                    </group>
                    <group>
                        <field name="matching_attribute" />
                        <field name="settings" />
                        <field name="idp_metadata" />
                        <field name="sp_metadata" />
                        <field name="sp_pkey" />
                    </group>
                </sheet>
            </form>
        </field>
    </record>

    <!-- Menu command to open the SAML provider list. -->

    <record model="ir.actions.act_window" id="action_saml_provider">
        <field name="name">Providers</field>
        <field name="res_model">auth.saml.provider</field>
        <field name="view_mode">tree,form</field>
    </record>

    <menuitem id="menu_saml_providers" name="SAML Providers"
        parent="base.menu_users" sequence="30" action="action_saml_provider"
        groups="base.group_no_one" />

</odoo>
